## org.mortbay.util.jmx
Class OutputStreamLogSinkMBean

    java.lang.Object
      |
      +--org.mortbay.util.jmx.ModelMBeanImpl
            |
            +--org.mortbay.util.jmx.LifeCycleMBean
                  |
                  +--org.mortbay.util.jmx.LogSinkMBean
                        |
                        +--org.mortbay.util.jmx.OutputStreamLogSinkMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class OutputStreamLogSinkMBean
extends LogSinkMBean

Version:
  $Revision: 1.3 $
Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.util.jmx.ModelMBeanImpl
`IMPACT_ACTION, IMPACT_ACTION_INFO, IMPACT_INFO, IMPACT_UNKOWN, INT, NO_PARAMS, OBJECT, ON_MBEAN, ON_OBJECT, READ_ONLY, READ_WRITE, STRING`

Constructor Summary
`OutputStreamLogSinkMBean()` Constructor.
`OutputStreamLogSinkMBean(boolean formatOptions)` Constructor.
`OutputStreamLogSinkMBean(OutputStreamLogSink sink)` Constructor.
`OutputStreamLogSinkMBean(OutputStreamLogSink sink, boolean formatOptions)` Constructor.

Methods inherited from class org.mortbay.util.jmx.ModelMBeanImpl

`addAttributeChangeNotificationListener, addNotificationListener, defineAttribute, defineAttribute, defineAttribute, defineAttribute, defineOperation, defineOperation, defineOperation, getAttribute, getAttributes, getBaseObjectName, getDefaultDomain, getManagedResource, getMBeanInfo, getMBeanServer, getNotificationInfo, getObjectName, invoke, load, mbeanFor, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setBaseObjectName, setDefaultDomain, setManagedResource, setModelMBeanInfo, store, uniqueObjectName, uniqueObjectName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStreamLogSinkMBean

    public OutputStreamLogSinkMBean()
                             throws javax.management.MBeanException

  Constructor.

Throws:
  `javax.management.MBeanException`

### OutputStreamLogSinkMBean

    public OutputStreamLogSinkMBean(OutputStreamLogSink sink)
                             throws javax.management.MBeanException

  Constructor.

Throws:
  `javax.management.MBeanException`

### OutputStreamLogSinkMBean

    public OutputStreamLogSinkMBean(boolean formatOptions)
                             throws javax.management.MBeanException

  Constructor.

Parameters:
  `formatOptions` -
Throws:
  `javax.management.MBeanException`

### OutputStreamLogSinkMBean

    public OutputStreamLogSinkMBean(OutputStreamLogSink sink,
                                    boolean formatOptions)
                             throws javax.management.MBeanException

  Constructor.

Parameters:
  `formatOptions` -
Throws:
  `javax.management.MBeanException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.